IEEE80211_IOCTL(9)

NAME
ieee80211_cfgget, ieee80211_cfgset, ieee80211_ioctl - 802.11 interface ioctl commands

SYNOPSIS
#include <net80211/ieee80211_var.h>
#include <net80211/ieee80211_proto.h>
#include <net80211/ieee80211_ioctl.h>
int
ieee80211_cfgget(struct ieee80211com *ic, u_long cmd, void *data);
int
ieee80211_cfgset(struct ieee80211com *ic, u_long cmd, void *data);
int
ieee80211_ioctl(struct ieee80211com *ic, u_long cmd, void *data);

DESCRIPTION
These functions are typically invoked by drivers in response to requests for information or to change settings from the userland.

The ieee80211_cfgget() and ieee80211_cfgset() functions implement a legacy interface for getting and setting 802.11 interface attributes respectively. The interface is compatible with the RIDs implemented by the wi(4) driver and used by the wiconfig(8) utility.

The ieee80211_ioctl() function implements ioctls such as key management for wireless devices. Ioctls related to the Ethernet layer also pass through here, but are handed off to ether_ioctl() when no match for cmd is found.

SEE ALSO
wi(4), ifconfig(8), wiconfig(8), ieee80211(9)

HISTORY
The ieee80211 series of functions first appeared in NetBSD 1.5, and were later ported to FreeBSD 4.6.

AUTHORS
-nosplit This man page was written by Bruce M. Simpson <bms@FreeBSD.org> and Darron Broad <darron@kewl.org>.